# $Revision: 1.22 $, $Date: 2004/11/26 13:00:26 $
Summary:	A Program for calculating many kind of things
Summary(pl):	Program do atwego wykonywania oblicze matematycznych
Name:		MathPlanner
Version:	3.1.3
Release:	3
License:	GPL v2
Group:		X11/Applications/Publishing
Source0:	http://koti.mbnet.fi/jarmonik/%{name}-%{version}.tar.gz
# Source0-md5:	803a8de68056a4ec2e4c456b1ba9b320
Source1:	%{name}.desktop
Patch0:		%{name}-no_qstyles.patch
URL:		http://koti.mbnet.fi/jarmonik/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	qt-devel >= 3.0.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_mathdir	%{_datadir}/MathPlanner

%description
MathPlanner is mathematical design and publishing tool. MathPlanner
supports complex numbers, vectors, and basic math operations like
trigonometry, log, ln... Also integers and functions definations can
be used.

%description -l pl
MathPlanner jest matematycznym programem do tworzenia i publikacji.
Obsuguje liczby zespolone, wektory i podstawowe operacje matematyczne
(trygonometria, logarytmy,...). Mog by take uyte liczby cakowite
oraz definicje funkcji.

%prep
%setup -q
%patch0

%build
QTDIR="%{_prefix}"
export QTDIR
cd src
for i in *.moc; do
	moc `basename $i .moc`.h >$i;
done
cd ..

rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir}/{mini,hicolor/{32x32,64x64}/mimetypes/},%{_desktopdir}} \
	$RPM_BUILD_ROOT%{_datadir}/mimelnk/application/

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install icons/64x64/apps/*.png $RPM_BUILD_ROOT%{_pixmapsdir}
install icons/64x64/mimetypes/*.png $RPM_BUILD_ROOT%{_pixmapsdir}/hicolor/64x64/mimetypes/
install icons/32x32/mimetypes/*.png $RPM_BUILD_ROOT%{_pixmapsdir}/hicolor/32x32/mimetypes/
install mpl2.desktop $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS Doc.htm Doc examples
%attr(755,root,root) %{_bindir}/*
%dir %{_mathdir}
%{_mathdir}/*.txt
%{_mathdir}/pixmaps/*
%{_mathdir}/ts/*
%{_pixmapsdir}/*.png
%{_pixmapsdir}/hicolor/*/mimetypes/*.png
%{_datadir}/mimelnk/application/*.desktop
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: MathPlanner.spec,v $
Revision 1.22  2004/11/26 13:00:26  paladine
- rel 3 for fixed desktop file

Revision 1.21  2004/10/16 15:00:15  paladine
- spelling fix

Revision 1.20  2004/10/01 11:32:10  paladine
- rel 2 for fixed desktop file

Revision 1.19  2004/09/01 17:44:26  undefine
- from last broken commit:
- wrong fonts was on my system - i doesn't have courier - configurable in
  ~/.MatPlot/
- adapterized
- release 1

Revision 1.17  2004/09/01 01:02:22  undefine
- update to 3.1.3, patch from author to builds without qstyles
- works, but write some warnings with fonts :/

Revision 1.16  2004/02/19 20:36:52  blues
- 3.1.2 - stared upgrade, does not work on my system :(

Revision 1.15  2003/07/06 23:27:13  blues
- many small fixes, mostly inpired by kloczek

Revision 1.14  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.13  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/01/18 22:53:34  juandon
- removed two lines with define

Revision 1.11  2002/10/09 13:14:14  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.10  2002/09/22 08:42:55  blues
- 3.0.6 - removed included patch, few bugfixes - STBR

Revision 1.9  2002/09/09 13:27:36  blues
- release 2 - desktop moved to Mathematics submenu - STBR

Revision 1.8  2002/09/02 00:28:53  blues
- 3.0.5 - added desktop, removed included patch - STBR

Revision 1.7  2002/08/29 17:47:26  blues
release 1 - STBR

Revision 1.6  2002/08/29 17:19:51  blues
- added plugin patch - fix for programs that do not think that plugins can
  be dynamic.

Revision 1.5  2002/08/28 18:48:11  mmazur
- updated to 3.0.4... nfy (needs qt magic or sth)

Revision 1.4  2002/08/05 01:04:05  blues
- 3.0.3 (ac/am support)
- ac_fix added
NOTE: qt is broken - normal compilation is impossible... :-/

Revision 1.3  2002/07/23 20:40:55  blues
- release 1
- ready and works...

Revision 1.2  2002/07/23 20:04:25  blues
- it builds at least now...

Revision 1.1  2002/07/13 17:05:41  blues
- initial release
- NFY - maybe yes, but I don't have kdelibs-3 :(

